Bug 27631 - Accessibility: Staff interface - `h1` on each page is Logo but should be page description/title
Summary: Accessibility: Staff interface - `h1` on each page is Logo but should be page...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: wainuiwitikapark
QA Contact: Testopia
URL:
Keywords: accessibility
Depends on:
Blocks: 27741 27877 28243 28532 30774
  Show dependency treegraph
 
Reported: 2021-02-04 20:33 UTC by wainuiwitikapark
Modified: 2022-05-18 13:02 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Text to go in the release notes:
This enhancement, as part of improving the accessibility of the staff interface, makes the main topic/title of the page the `h1` rather than the logo.
Version(s) released in:
22.05.00


Attachments
Bug 27631: Changed <h1> around logo to <div> (18.39 KB, patch)
2021-02-05 02:52 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: admin folder (47.56 KB, patch)
2021-04-12 23:27 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: authorities, clubs, common, course_reserves folders (11.23 KB, patch)
2021-04-12 23:39 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: installer and onboarding folders (14.81 KB, patch)
2021-04-13 04:10 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: circ folder (11.39 KB, patch)
2021-04-13 04:29 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: labels and members folders (25.75 KB, patch)
2021-04-13 04:45 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: offline_circ, patroncards, plugins, pos, reserve, rotating_collections folders (14.32 KB, patch)
2021-04-13 05:21 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: catalogue and tags folders (7.04 KB, patch)
2021-04-13 05:54 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: tools and virtualshelves folders (20.60 KB, patch)
2021-04-13 06:30 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: reports and serials folders (14.25 KB, patch)
2021-04-13 22:35 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: cataloguing folder (46.33 KB, patch)
2021-04-14 02:52 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: acqui folder (14.77 KB, patch)
2021-04-14 03:15 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: Hidden <h1> on intranet-main.tt (1.21 KB, patch)
2021-04-14 03:26 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: Changed <h1> around logo to <div> (16.25 KB, patch)
2021-04-19 05:24 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: admin folder (47.55 KB, patch)
2021-04-19 05:32 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: circ folder (10.99 KB, patch)
2021-04-19 05:37 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: labels and members folders (21.57 KB, patch)
2021-04-19 07:46 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: authorities, clubs, common, course_reserves folders (11.23 KB, patch)
2021-04-19 07:49 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: installer and onboarding folders (14.81 KB, patch)
2021-04-19 07:50 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: offline_circ, patroncards, plugins, pos, reserve, rotating_collections folders (14.32 KB, patch)
2021-04-19 07:51 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: catalogue and tags folders (7.03 KB, patch)
2021-04-19 07:52 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: tools and virtualshelves folders (20.37 KB, patch)
2021-04-19 07:53 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: reports and serials folders (14.25 KB, patch)
2021-04-19 07:53 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: cataloguing folder (46.33 KB, patch)
2021-04-19 07:54 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: acqui folder (14.77 KB, patch)
2021-04-19 07:54 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: Hidden <h1> on intranet-main.tt (1.21 KB, patch)
2021-04-19 07:55 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: (follow-up) amended aqbudgets.pl headings (1.86 KB, patch)
2021-04-26 05:50 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: (follow-up) amended admin/aqbudgets.pl headings (1.88 KB, patch)
2021-04-26 05:52 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: admin folder (51.08 KB, patch)
2021-04-26 06:44 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: admin folder (50.65 KB, patch)
2021-04-26 06:47 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: admin folder (51.47 KB, patch)
2021-04-26 07:15 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: admin folder (53.48 KB, patch)
2021-04-26 08:34 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: admin folder (53.87 KB, patch)
2021-04-27 06:43 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: admin folder (56.00 KB, patch)
2021-04-27 06:52 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: (follow-up) course_reserves/course-details.tt (1.69 KB, patch)
2021-05-25 08:01 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: (follow-up) course_reserves/course-details.tt (1.70 KB, patch)
2021-05-28 04:13 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: (follow-up) tools/marc_modification_templates.tt (2.28 KB, patch)
2021-05-28 04:23 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: (follow-up) reports/guided_reports_start.tt (2.22 KB, patch)
2021-06-01 04:45 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: (follow-up) circ/branchtransfers.tt (1.21 KB, patch)
2021-06-03 02:51 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 27631: Changed <h1> around logo to <div> (16.20 KB, patch)
2021-09-30 16:19 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: circ folder (10.95 KB, patch)
2021-09-30 16:19 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: labels and members folders (21.40 KB, patch)
2021-09-30 16:19 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: authorities, clubs, common, course_reserves folders (11.04 KB, patch)
2021-09-30 16:19 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: installer and onboarding folders (14.79 KB, patch)
2021-09-30 16:20 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: offline_circ, patroncards, plugins, pos, reserve, rotating_collections folders (14.26 KB, patch)
2021-09-30 16:20 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: catalogue and tags folders (7.02 KB, patch)
2021-09-30 16:20 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: tools and virtualshelves folders (19.81 KB, patch)
2021-09-30 16:20 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: reports and serials folders (14.17 KB, patch)
2021-09-30 16:20 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: cataloguing folder (45.91 KB, patch)
2021-09-30 16:20 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: acqui folder (14.63 KB, patch)
2021-09-30 16:20 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: Hidden <h1> on intranet-main.tt (1.26 KB, patch)
2021-09-30 16:20 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: admin folder (55.72 KB, patch)
2021-09-30 16:20 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: (follow-up) course_reserves/course-details.tt (1.75 KB, patch)
2021-09-30 16:20 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: (follow-up) tools/marc_modification_templates.tt (2.32 KB, patch)
2021-09-30 16:20 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: (follow-up) reports/guided_reports_start.tt (2.26 KB, patch)
2021-09-30 16:20 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: (follow-up) circ/branchtransfers.tt (1.26 KB, patch)
2021-09-30 16:20 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: (follow-up) Some minor corrections (9.07 KB, patch)
2021-09-30 16:21 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: Changed <h1> around logo to <div> (16.20 KB, patch)
2021-11-04 11:55 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: circ folder (10.97 KB, patch)
2021-11-04 11:55 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: labels and members folders (21.40 KB, patch)
2021-11-04 11:55 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: authorities, clubs, common, course_reserves folders (11.04 KB, patch)
2021-11-04 11:55 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: installer and onboarding folders (14.84 KB, patch)
2021-11-04 11:55 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: offline_circ, patroncards, plugins, pos, reserve, rotating_collections folders (14.49 KB, patch)
2021-11-04 11:55 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: catalogue and tags folders (7.02 KB, patch)
2021-11-04 11:55 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: tools and virtualshelves folders (19.86 KB, patch)
2021-11-04 11:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: reports and serials folders (14.71 KB, patch)
2021-11-04 11:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: cataloguing folder (43.51 KB, patch)
2021-11-04 11:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: acqui folder (14.63 KB, patch)
2021-11-04 11:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: Hidden <h1> on intranet-main.tt (1.26 KB, patch)
2021-11-04 11:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: admin folder (55.72 KB, patch)
2021-11-04 11:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: (follow-up) course_reserves/course-details.tt (1.75 KB, patch)
2021-11-04 11:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: (follow-up) tools/marc_modification_templates.tt (2.32 KB, patch)
2021-11-04 11:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: (follow-up) reports/guided_reports_start.tt (2.26 KB, patch)
2021-11-04 11:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: (follow-up) circ/branchtransfers.tt (1.26 KB, patch)
2021-11-04 11:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: (follow-up) Some minor corrections (9.07 KB, patch)
2021-11-04 11:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: (follow-up) Some minor corrections (9.12 KB, patch)
2021-11-08 09:48 UTC, David Nind
Details | Diff | Splinter Review
Bug 27631 - Koha header - logo + main actions and search display (38.94 KB, image/png)
2021-11-08 09:59 UTC, David Nind
Details
Bug 27631: (follow-up) Modify logo CSS to give better alignment (3.12 KB, patch)
2021-11-08 12:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: (follow-up) Modify logo CSS to give better alignment (3.17 KB, patch)
2021-11-08 16:59 UTC, David Nind
Details | Diff | Splinter Review
Bug 27631: Changed <h1> around logo to <div> (16.20 KB, patch)
2022-02-24 19:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: circ folder (10.97 KB, patch)
2022-02-24 19:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: labels and members folders (21.40 KB, patch)
2022-02-24 19:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: authorities, clubs, common, course_reserves folders (11.04 KB, patch)
2022-02-24 19:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: installer and onboarding folders (14.84 KB, patch)
2022-02-24 19:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: offline_circ, patroncards, plugins, pos, reserve, rotating_collections folders (14.61 KB, patch)
2022-02-24 19:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: catalogue and tags folders (7.02 KB, patch)
2022-02-24 19:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: tools and virtualshelves folders (19.86 KB, patch)
2022-02-24 19:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: reports and serials folders (14.71 KB, patch)
2022-02-24 19:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: cataloguing folder (43.51 KB, patch)
2022-02-24 19:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: acqui folder (14.63 KB, patch)
2022-02-24 19:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: Hidden <h1> on intranet-main.tt (1.26 KB, patch)
2022-02-24 19:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: admin folder (55.72 KB, patch)
2022-02-24 19:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: (follow-up) course_reserves/course-details.tt (1.75 KB, patch)
2022-02-24 19:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: (follow-up) tools/marc_modification_templates.tt (2.32 KB, patch)
2022-02-24 19:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: (follow-up) reports/guided_reports_start.tt (2.26 KB, patch)
2022-02-24 19:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: (follow-up) circ/branchtransfers.tt (1.26 KB, patch)
2022-02-24 19:41 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: (follow-up) Some minor corrections (9.12 KB, patch)
2022-02-24 19:41 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: (follow-up) Modify logo CSS to give better alignment (3.17 KB, patch)
2022-02-24 19:41 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: (follow-up) Various corrections (10.65 KB, patch)
2022-03-01 15:32 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27631: Changed <h1> around logo to <div> (16.26 KB, patch)
2022-04-02 22:03 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27631: circ folder (11.02 KB, patch)
2022-04-02 22:03 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27631: labels and members folders (21.46 KB, patch)
2022-04-02 22:04 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27631: authorities, clubs, common, course_reserves folders (11.10 KB, patch)
2022-04-02 22:04 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27631: installer and onboarding folders (14.89 KB, patch)
2022-04-02 22:04 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27631: offline_circ, patroncards, plugins, pos, reserve, rotating_collections folders (14.66 KB, patch)
2022-04-02 22:04 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27631: catalogue and tags folders (7.07 KB, patch)
2022-04-02 22:04 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27631: tools and virtualshelves folders (19.92 KB, patch)
2022-04-02 22:04 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27631: reports and serials folders (14.76 KB, patch)
2022-04-02 22:04 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27631: cataloguing folder (43.57 KB, patch)
2022-04-02 22:04 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27631: acqui folder (14.69 KB, patch)
2022-04-02 22:04 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27631: Hidden <h1> on intranet-main.tt (1.32 KB, patch)
2022-04-02 22:05 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27631: admin folder (55.76 KB, patch)
2022-04-02 22:05 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27631: (follow-up) course_reserves/course-details.tt (1.80 KB, patch)
2022-04-02 22:05 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27631: (follow-up) tools/marc_modification_templates.tt (2.38 KB, patch)
2022-04-02 22:05 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27631: (follow-up) reports/guided_reports_start.tt (2.32 KB, patch)
2022-04-02 22:05 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27631: (follow-up) circ/branchtransfers.tt (1.32 KB, patch)
2022-04-02 22:05 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27631: (follow-up) Some minor corrections (9.18 KB, patch)
2022-04-02 22:05 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27631: (follow-up) Modify logo CSS to give better alignment (3.23 KB, patch)
2022-04-02 22:05 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27631: (follow-up) Various corrections (10.71 KB, patch)
2022-04-02 22:05 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description wainuiwitikapark 2021-02-04 20:33:50 UTC
The main heading <h1> of each page in Koha should describe the topic or purpose of the page. At the moment, the <h1> of each page looks like:

<h1 id="logo">
 <a class="navbar-brand" href="/cgi-bin/koha/opac-main.pl">
  Library Name</a>
</h1>

It makes more sense and would be more helpful to ensure the heading has a descriptor of the page that they're on, rather than no description surrounding a link containing the name of the library.

The following WCAG2.1 page explains this further:
https://www.w3.org/WAI/WCAG21/Techniques/general/G130

https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=25155#c12
raises a question of what navigation items should be if h1 is move to the main content, and here is a page which shows that it is acceptable to have h2 that come before the h1 in the content, see example 2:
https://www.w3.org/WAI/tutorials/page-structure/headings/

First, let's remove the <h1> tag from around the Logo link

This bug will depend on correcting the headings on each page of the Staff Client
Comment 1 wainuiwitikapark 2021-02-05 02:52:25 UTC Comment hidden (obsolete)
Comment 2 Martin Renvoize 2021-03-04 11:08:34 UTC
Awesome!!!! So great to see this starting to move forward.

Is this ready for testing?  If it is, then updating the status for 'Needs signoff' will trigger us eager beavers to take a look :)

Welcome aboard.
Comment 3 wainuiwitikapark 2021-03-04 22:45:19 UTC
(In reply to Martin Renvoize from comment #2)
> Awesome!!!! So great to see this starting to move forward.
> 
> Is this ready for testing?  If it is, then updating the status for 'Needs
> signoff' will trigger us eager beavers to take a look :)
> 
> Welcome aboard.

Hey Martin! I'm still working on the second patch of this bug regarding adding <h1>s on each page. Hopefully will be done soon!
Comment 4 wainuiwitikapark 2021-04-12 23:27:52 UTC Comment hidden (obsolete)
Comment 5 wainuiwitikapark 2021-04-12 23:39:26 UTC Comment hidden (obsolete)
Comment 6 wainuiwitikapark 2021-04-13 04:10:10 UTC Comment hidden (obsolete)
Comment 7 wainuiwitikapark 2021-04-13 04:29:40 UTC Comment hidden (obsolete)
Comment 8 wainuiwitikapark 2021-04-13 04:45:33 UTC Comment hidden (obsolete)
Comment 9 wainuiwitikapark 2021-04-13 05:21:11 UTC Comment hidden (obsolete)
Comment 10 wainuiwitikapark 2021-04-13 05:54:48 UTC Comment hidden (obsolete)
Comment 11 wainuiwitikapark 2021-04-13 06:30:24 UTC Comment hidden (obsolete)
Comment 12 wainuiwitikapark 2021-04-13 22:35:50 UTC Comment hidden (obsolete)
Comment 13 wainuiwitikapark 2021-04-14 02:52:52 UTC Comment hidden (obsolete)
Comment 14 wainuiwitikapark 2021-04-14 03:15:23 UTC Comment hidden (obsolete)
Comment 15 wainuiwitikapark 2021-04-14 03:26:46 UTC Comment hidden (obsolete)
Comment 16 Séverine Queune 2021-04-14 07:56:48 UTC
I just had this conflict applying patch on master :

CONFLICT (content): Merge conflict in koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-shelves.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/css/src/staff-global.scss
error: Failed to merge in the changes.
Patch failed at 0001 Bug 27631: Changed <h1> around logo to <div>
Comment 17 wainuiwitikapark 2021-04-19 05:24:20 UTC Comment hidden (obsolete)
Comment 18 wainuiwitikapark 2021-04-19 05:32:35 UTC Comment hidden (obsolete)
Comment 19 wainuiwitikapark 2021-04-19 05:37:11 UTC Comment hidden (obsolete)
Comment 20 wainuiwitikapark 2021-04-19 07:46:48 UTC Comment hidden (obsolete)
Comment 21 wainuiwitikapark 2021-04-19 07:49:50 UTC Comment hidden (obsolete)
Comment 22 wainuiwitikapark 2021-04-19 07:50:34 UTC Comment hidden (obsolete)
Comment 23 wainuiwitikapark 2021-04-19 07:51:16 UTC Comment hidden (obsolete)
Comment 24 wainuiwitikapark 2021-04-19 07:52:28 UTC Comment hidden (obsolete)
Comment 25 wainuiwitikapark 2021-04-19 07:53:10 UTC Comment hidden (obsolete)
Comment 26 wainuiwitikapark 2021-04-19 07:53:38 UTC Comment hidden (obsolete)
Comment 27 wainuiwitikapark 2021-04-19 07:54:13 UTC Comment hidden (obsolete)
Comment 28 wainuiwitikapark 2021-04-19 07:54:45 UTC Comment hidden (obsolete)
Comment 29 wainuiwitikapark 2021-04-19 07:55:24 UTC Comment hidden (obsolete)
Comment 30 wainuiwitikapark 2021-04-19 07:58:53 UTC
(In reply to Séverine Queune from comment #16)
> I just had this conflict applying patch on master :
> 
> CONFLICT (content): Merge conflict in
> koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-shelves.tt
> Auto-merging koha-tmpl/intranet-tmpl/prog/css/src/staff-global.scss
> error: Failed to merge in the changes.
> Patch failed at 0001 Bug 27631: Changed <h1> around logo to <div>

thanks so much for pointing this out! I have now fixed merge conflicts and re-attached patches
Comment 31 wainuiwitikapark 2021-04-26 05:50:58 UTC Comment hidden (obsolete)
Comment 32 wainuiwitikapark 2021-04-26 05:52:05 UTC Comment hidden (obsolete)
Comment 33 wainuiwitikapark 2021-04-26 06:44:22 UTC Comment hidden (obsolete)
Comment 34 wainuiwitikapark 2021-04-26 06:47:11 UTC Comment hidden (obsolete)
Comment 35 wainuiwitikapark 2021-04-26 07:15:42 UTC Comment hidden (obsolete)
Comment 36 wainuiwitikapark 2021-04-26 08:34:29 UTC Comment hidden (obsolete)
Comment 37 wainuiwitikapark 2021-04-27 06:43:57 UTC Comment hidden (obsolete)
Comment 38 wainuiwitikapark 2021-04-27 06:52:19 UTC Comment hidden (obsolete)
Comment 39 wainuiwitikapark 2021-05-25 08:01:24 UTC Comment hidden (obsolete)
Comment 40 wainuiwitikapark 2021-05-28 04:13:30 UTC Comment hidden (obsolete)
Comment 41 wainuiwitikapark 2021-05-28 04:23:20 UTC Comment hidden (obsolete)
Comment 42 wainuiwitikapark 2021-06-01 04:45:24 UTC Comment hidden (obsolete)
Comment 43 wainuiwitikapark 2021-06-03 02:51:40 UTC Comment hidden (obsolete)
Comment 44 Owen Leonard 2021-07-27 11:13:37 UTC
On booksellers.tt, you add a "Search for vendor" h1 even though there is already an h1 on the page, "Vendor search: X results found." Is this intentional? I looks like it's redundant.

The same is true on circ/bookcount.tt and on catalogue/detail.tt, where the original H1 is output by the XSL template. 

The labelled MARC detail page shows an error, and the QA tool catches it too:

FAIL	koha-tmpl/intranet-tmpl/prog/en/modules/catalogue/labeledMARCdetail.tt
   FAIL	  valid_template
		parse error - /kohadevbox/koha/koha-tmpl/intranet-tmpl/prog/en/modules/catalogue/labeledMARCdetail.tt line 94: unexpected token (END)
  [% END %]

On circ/branchtransfers.tt the heading "Branch transfers" uses incorrect terminology. Despite the name of the file we use the term "Library" everywhere instead of "branch." On this page however I think the heading is redundant, and the existing <legend> could probably be converted to a heading.

In many files the position of the toolbar relative to the heading has been changed. I agree that we lack consistency in how this is handled, but from what I can see this patch doesn't resolve that inconsistency. I would prefer that this patchset omit the changes to toolbar position so that it can be addressed separately.
Comment 45 Owen Leonard 2021-09-30 16:19:47 UTC Comment hidden (obsolete)
Comment 46 Owen Leonard 2021-09-30 16:19:51 UTC Comment hidden (obsolete)
Comment 47 Owen Leonard 2021-09-30 16:19:55 UTC Comment hidden (obsolete)
Comment 48 Owen Leonard 2021-09-30 16:19:59 UTC Comment hidden (obsolete)
Comment 49 Owen Leonard 2021-09-30 16:20:03 UTC Comment hidden (obsolete)
Comment 50 Owen Leonard 2021-09-30 16:20:07 UTC Comment hidden (obsolete)
Comment 51 Owen Leonard 2021-09-30 16:20:11 UTC Comment hidden (obsolete)
Comment 52 Owen Leonard 2021-09-30 16:20:16 UTC Comment hidden (obsolete)
Comment 53 Owen Leonard 2021-09-30 16:20:20 UTC Comment hidden (obsolete)
Comment 54 Owen Leonard 2021-09-30 16:20:24 UTC Comment hidden (obsolete)
Comment 55 Owen Leonard 2021-09-30 16:20:29 UTC Comment hidden (obsolete)
Comment 56 Owen Leonard 2021-09-30 16:20:35 UTC Comment hidden (obsolete)
Comment 57 Owen Leonard 2021-09-30 16:20:40 UTC Comment hidden (obsolete)
Comment 58 Owen Leonard 2021-09-30 16:20:44 UTC Comment hidden (obsolete)
Comment 59 Owen Leonard 2021-09-30 16:20:49 UTC Comment hidden (obsolete)
Comment 60 Owen Leonard 2021-09-30 16:20:53 UTC Comment hidden (obsolete)
Comment 61 Owen Leonard 2021-09-30 16:20:57 UTC Comment hidden (obsolete)
Comment 62 Owen Leonard 2021-09-30 16:21:02 UTC Comment hidden (obsolete)
Comment 63 Owen Leonard 2021-11-04 11:55:29 UTC
Created attachment 127295 [details] [review]
Bug 27631: Changed <h1> around logo to <div>

To test:
1) Look at Staff Client and the logo
2) Apply patch
3) Check Koha logo moves to the middle of the page when zooming in
4) Ensure page source shows logo inside <div> and not <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 64 Owen Leonard 2021-11-04 11:55:34 UTC
Created attachment 127296 [details] [review]
Bug 27631: circ folder

Changed each of the pages in the circ folder to have one <h1> tag
showing that describes the page, rather than the <h1> describing the
logo.

The hierarchy of heading tags may be broken in many pages, but this
will be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to each of the pages in the circ folder and check that they have
   an obvious and descriptive heading
4) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 65 Owen Leonard 2021-11-04 11:55:38 UTC
Created attachment 127297 [details] [review]
Bug 27631: labels and members folders

Changed each of the pages in the labels and members folders to have one
<h1> tag showing that describes the page, rather than the <h1>
describing the logo.

The hierarchy of heading tags may be broken in many pages, but this
will be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to each of the pages in the labels and members folders and check
   that they have an obvious and descriptive heading
4) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 66 Owen Leonard 2021-11-04 11:55:43 UTC
Created attachment 127298 [details] [review]
Bug 27631: authorities, clubs, common, course_reserves folders

Changed each of the pages in the authorities, clubs, common,
course_reserves folders to have one <h1> tag showing that describes
the page, rather than the <h1> describing the logo.

The hierarchy of heading tags may be broken in many pages, but this
will be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to each of the pages in the authorities, clubs, common,
   course_reserves folders and check that they have an obvious and
   descriptive heading
4) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 67 Owen Leonard 2021-11-04 11:55:47 UTC
Created attachment 127299 [details] [review]
Bug 27631: installer and onboarding folders

Changed each of the pages in the installer and onboarding folders to
have one <h1> tag showing that describes the page, rather than the <h1>
describing the logo.

The hierarchy of heading tags may be broken in many pages, but this
will be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Ensure that the page source shows logo inside <div> and not inside
   <h1>
4) Go to each of the pages in the installer and onboarding folders and
   check that they have an obvious and descriptive heading
5) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 68 Owen Leonard 2021-11-04 11:55:53 UTC
Created attachment 127300 [details] [review]
Bug 27631: offline_circ, patroncards, plugins, pos, reserve, rotating_collections folders

Changed each of the pages in the offline_circ, patroncards, plugins,
pos, reserve, rotating_collections folders to have one <h1> tag showing
that describes the page, rather than the <h1> describing the logo.

The hierarchy of heading tags may be broken in many pages, but this
will be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to each of the pages in the offline_circ, patroncards, plugins,
   pos, reserve, rotating_collections folders and check that they have
   an obvious and descriptive heading
4) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 69 Owen Leonard 2021-11-04 11:55:57 UTC
Created attachment 127301 [details] [review]
Bug 27631: catalogue and tags folders

Changed each of the pages in the catalogue and tags folders to have one
<h1> tag showing that describes the page, rather than the <h1>
describing the logo.

The hierarchy of heading tags may be broken in many pages, but this
will be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to each of the pages in the catalogue and tags folders and check
   that they have an obvious and descriptive heading
4) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 70 Owen Leonard 2021-11-04 11:56:01 UTC
Created attachment 127302 [details] [review]
Bug 27631: tools and virtualshelves folders

Changed each of the pages in the tools and virtualshelves folders to
have one <h1> tag showing that describes the page, rather than the <h1>
describing the logo.

The hierarchy of heading tags may be broken in many pages, but this
will be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to each of the pages in the tools and virtualshelves folders and
   check that they have an obvious and descriptive heading
4) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 71 Owen Leonard 2021-11-04 11:56:05 UTC
Created attachment 127303 [details] [review]
Bug 27631: reports and serials folders

Changed each of the pages in the reports and serials folders to
have one <h1> tag showing that describes the page, rather than the <h1>
describing the logo.

The hierarchy of heading tags may be broken in many pages, but this
will be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to each of the pages in the reports and serials folders and
   check that they have an obvious and descriptive heading
4) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 72 Owen Leonard 2021-11-04 11:56:10 UTC
Created attachment 127304 [details] [review]
Bug 27631: cataloguing folder

Changed each of the pages in the cataloguing folder to have one <h1>
tag showing that describes the page, rather than the <h1> describing the
logo.

The hierarchy of heading tags may be broken in many pages, but this will
be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to each of the pages in the cataloguing folder and check that they
   have an obvious and descriptive heading
4) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 73 Owen Leonard 2021-11-04 11:56:15 UTC
Created attachment 127305 [details] [review]
Bug 27631: acqui folder

Changed each of the pages in the acqui folder to have one <h1> tag
showing that describes the page, rather than the <h1> describing the
logo.

The hierarchy of heading tags may be broken in many pages, but this
will be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to each of the pages in the acqui folder and check that they have
   an obvious and descriptive heading
4) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 74 Owen Leonard 2021-11-04 11:56:20 UTC
Created attachment 127306 [details] [review]
Bug 27631: Hidden <h1> on intranet-main.tt

This patch visually hides a <h1> on intranet-main.tt so that the
heading is available to be read out by screenreaders in the summary of
headings on the page.

Test plan:

1) Ensure the <h1> "Koha home" heading on the staff client main/home
   page is hidden visually, but in the source code you can see it

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 75 Owen Leonard 2021-11-04 11:56:24 UTC
Created attachment 127307 [details] [review]
Bug 27631: admin folder

Changed each of the pages in the admin folder to have one <h1> tag
showing that describes the page, rather than the <h1> describing the
logo.

The hierarchy of heading tags may be broken in many pages, but this
will be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to each of the pages in the admin folder and check that they have
   an obvious and descriptive heading
4) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 76 Owen Leonard 2021-11-04 11:56:28 UTC
Created attachment 127308 [details] [review]
Bug 27631: (follow-up) course_reserves/course-details.tt

Changed file to have one <h1> tag showing that describes the page,
rather than the <h1> around the logo.

The hierarchy of other heading tags may be wrong, but this will be
dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to course_reserves/course-details and check that it has an obvious
   and descriptive heading
4) Ensure that the heading is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 77 Owen Leonard 2021-11-04 11:56:32 UTC
Created attachment 127309 [details] [review]
Bug 27631: (follow-up) tools/marc_modification_templates.tt

Changed file to have one <h1> tag showing that describes the page,
rather than the <h1> around the logo.

The hierarchy of other heading tags may be wrong, but this will be
dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to tools/marc_modification_templates and check that it has an
   obvious and descriptive heading
4) Ensure that the heading is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 78 Owen Leonard 2021-11-04 11:56:36 UTC
Created attachment 127310 [details] [review]
Bug 27631: (follow-up) reports/guided_reports_start.tt

Changed file to have one <h1> tag showing that describes the page,
rather than the <h1> around the logo.

The hierarchy of other heading tags may be wrong, but this wil be dealt
with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to reports/guided_reports_start and check that it has an obvious
   and descriptive heading
4) Ensure that the heading is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 79 Owen Leonard 2021-11-04 11:56:40 UTC
Created attachment 127311 [details] [review]
Bug 27631: (follow-up) circ/branchtransfers.tt

Changed file to have one <h1> tag showing that describes the page,
rather than the <h1> around the logo.

The hierarchy of other heading tags may be wrong, but this will be
dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to circ/branchtransfers and check that it has an obvious and
   descriptive heading
4) Ensure that the heading is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 80 Owen Leonard 2021-11-04 11:56:45 UTC Comment hidden (obsolete)
Comment 81 Owen Leonard 2021-11-04 11:57:48 UTC
Rebased. Only the last patch needs signoff!
Comment 82 David Nind 2021-11-08 09:48:19 UTC
Created attachment 127432 [details] [review]
Bug 27631: (follow-up) Some minor corrections

This patch makes some corrections to issues found during testing:

Some duplicate headings, a markup error in labeledMARCdetail.tt, a
change of the transfers heading from "Branch transfers" to "Item
transfers."

This patch also undoes the changes to the position of the toolbar on
several pages. I think those changes don't belong in this bug.

Signed-off-by: David Nind <david@davidnind.com>
Comment 83 David Nind 2021-11-08 09:59:56 UTC
Created attachment 127433 [details]
Bug 27631 - Koha header - logo + main actions and search display

I have only reviewed and signed off Owen's minor corrections patch. I reviewed the patch and accessed pages I could to checked that they displayed correctly.

Layout change - I'm assuming that the change where the Koha logo is displayed on its own and then the main search box (check out, check in, renew, search the catalog etc) directly under this is intentional, and will be fixed later. Screenshot attached of what I mean.
Comment 84 Owen Leonard 2021-11-08 12:58:37 UTC
Created attachment 127449 [details] [review]
Bug 27631: (follow-up) Modify logo CSS to give better alignment

This patch modifies the CSS of the Koha logo and its container so that
it more closely matches the previous version and so that alignment is
handled better at various browser widths.

To test, apply the patch and build the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Check various pages in the staff interface to confirm that the position
of the Koha logo is correct. Adjust your browser width to confirm that
the alignment adapts at narrow widths.

Test also on pages where the header search form can be expanded, e.g.
Patrons -> [+] to expand search options. Or Acquisitions -> Orders
search -> [+]. Confirm that logo alignment is correct on these pages
too.
Comment 85 Owen Leonard 2021-11-08 12:59:55 UTC
(In reply to David Nind from comment #83)

> Layout change - I'm assuming that the change where the Koha logo is
> displayed on its own and then the main search box (check out, check in,
> renew, search the catalog etc) directly under this is intentional

Your screenshot shows the layout when the CSS hasn't been rebuilt, but it helped me notice that the alignment is still a little off even after rebuilding. My follow-up should make it better.
Comment 86 David Nind 2021-11-08 16:59:49 UTC
Created attachment 127456 [details] [review]
Bug 27631: (follow-up) Modify logo CSS to give better alignment

This patch modifies the CSS of the Koha logo and its container so that
it more closely matches the previous version and so that alignment is
handled better at various browser widths.

To test, apply the patch and build the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Check various pages in the staff interface to confirm that the position
of the Koha logo is correct. Adjust your browser width to confirm that
the alignment adapts at narrow widths.

Test also on pages where the header search form can be expanded, e.g.
Patrons -> [+] to expand search options. Or Acquisitions -> Orders
search -> [+]. Confirm that logo alignment is correct on these pages
too.

Signed-off-by: David Nind <david@davidnind.com>
Comment 87 David Nind 2021-11-08 17:11:03 UTC
(In reply to Owen Leonard from comment #85)

> Your screenshot shows the layout when the CSS hasn't been rebuilt, but it
> helped me notice that the alignment is still a little off even after
> rebuilding. My follow-up should make it better.

Thanks Owen - I didn't think about rebuilding the CSS!

The only thing I noticed is that as it is now centered, when the screen becomes too narrow the left side of the block with the search box, submit button are off the screen, rather than left aligned as it is currently - but there are always tradeoffs, and would be unusable at this size anyway.
Comment 88 Jonathan Druart 2021-12-01 15:49:23 UTC
Not considering blocker but worth nothing: You are adding h1 to a couple of "members" pages:

* members/routing-lists.tt
  <h1>Subscription routing lists for [% INCLUDE 'patron-title.inc' %]</h1>
* members/boraccount.tt
  <h1>Account for [% INCLUDE 'patron-title.inc' %]</h1>

However most of the other views of the "members" module have the h1 without the patron's name: "Circulation history", "Checkouts", "Holds history".
Comment 89 Jonathan Druart 2021-12-01 15:58:15 UTC
There is something that is problematic, the [% INCLUDE 'blocking_errors.inc' %] should not be moved, it must be at the very beginning (right after main). The script will stop early (after the INCLUDE) and we don't want to display anything else before as the template won't receive the correct data in most of the cases.
Comment 90 Katrin Fischer 2022-01-31 22:54:08 UTC
Hi Wainui, starting to look here - do you have time for following up on the 2 last comments from Jonathan?

I think at least the second requires a follow up ([% INCLUDE 'blocking_errors.inc' %])

For the patron names I believe it might be easier to focus on the h1 issue first and then maybe figure out if we want to add patron names to all the pages in question, but if you think it's important to keep them, please let me know.

Patches still apply and QA tests pass!
Comment 91 Owen Leonard 2022-02-24 19:39:12 UTC
Created attachment 131069 [details] [review]
Bug 27631: Changed <h1> around logo to <div>

To test:
1) Look at Staff Client and the logo
2) Apply patch
3) Check Koha logo moves to the middle of the page when zooming in
4) Ensure page source shows logo inside <div> and not <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 92 Owen Leonard 2022-02-24 19:39:18 UTC
Created attachment 131070 [details] [review]
Bug 27631: circ folder

Changed each of the pages in the circ folder to have one <h1> tag
showing that describes the page, rather than the <h1> describing the
logo.

The hierarchy of heading tags may be broken in many pages, but this
will be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to each of the pages in the circ folder and check that they have
   an obvious and descriptive heading
4) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 93 Owen Leonard 2022-02-24 19:39:24 UTC
Created attachment 131071 [details] [review]
Bug 27631: labels and members folders

Changed each of the pages in the labels and members folders to have one
<h1> tag showing that describes the page, rather than the <h1>
describing the logo.

The hierarchy of heading tags may be broken in many pages, but this
will be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to each of the pages in the labels and members folders and check
   that they have an obvious and descriptive heading
4) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 94 Owen Leonard 2022-02-24 19:39:31 UTC
Created attachment 131072 [details] [review]
Bug 27631: authorities, clubs, common, course_reserves folders

Changed each of the pages in the authorities, clubs, common,
course_reserves folders to have one <h1> tag showing that describes
the page, rather than the <h1> describing the logo.

The hierarchy of heading tags may be broken in many pages, but this
will be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to each of the pages in the authorities, clubs, common,
   course_reserves folders and check that they have an obvious and
   descriptive heading
4) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 95 Owen Leonard 2022-02-24 19:39:37 UTC
Created attachment 131073 [details] [review]
Bug 27631: installer and onboarding folders

Changed each of the pages in the installer and onboarding folders to
have one <h1> tag showing that describes the page, rather than the <h1>
describing the logo.

The hierarchy of heading tags may be broken in many pages, but this
will be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Ensure that the page source shows logo inside <div> and not inside
   <h1>
4) Go to each of the pages in the installer and onboarding folders and
   check that they have an obvious and descriptive heading
5) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 96 Owen Leonard 2022-02-24 19:39:43 UTC
Created attachment 131074 [details] [review]
Bug 27631: offline_circ, patroncards, plugins, pos, reserve, rotating_collections folders

Changed each of the pages in the offline_circ, patroncards, plugins,
pos, reserve, rotating_collections folders to have one <h1> tag showing
that describes the page, rather than the <h1> describing the logo.

The hierarchy of heading tags may be broken in many pages, but this
will be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to each of the pages in the offline_circ, patroncards, plugins,
   pos, reserve, rotating_collections folders and check that they have
   an obvious and descriptive heading
4) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 97 Owen Leonard 2022-02-24 19:39:51 UTC
Created attachment 131075 [details] [review]
Bug 27631: catalogue and tags folders

Changed each of the pages in the catalogue and tags folders to have one
<h1> tag showing that describes the page, rather than the <h1>
describing the logo.

The hierarchy of heading tags may be broken in many pages, but this
will be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to each of the pages in the catalogue and tags folders and check
   that they have an obvious and descriptive heading
4) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 98 Owen Leonard 2022-02-24 19:39:58 UTC
Created attachment 131076 [details] [review]
Bug 27631: tools and virtualshelves folders

Changed each of the pages in the tools and virtualshelves folders to
have one <h1> tag showing that describes the page, rather than the <h1>
describing the logo.

The hierarchy of heading tags may be broken in many pages, but this
will be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to each of the pages in the tools and virtualshelves folders and
   check that they have an obvious and descriptive heading
4) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 99 Owen Leonard 2022-02-24 19:40:04 UTC
Created attachment 131077 [details] [review]
Bug 27631: reports and serials folders

Changed each of the pages in the reports and serials folders to
have one <h1> tag showing that describes the page, rather than the <h1>
describing the logo.

The hierarchy of heading tags may be broken in many pages, but this
will be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to each of the pages in the reports and serials folders and
   check that they have an obvious and descriptive heading
4) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 100 Owen Leonard 2022-02-24 19:40:12 UTC
Created attachment 131078 [details] [review]
Bug 27631: cataloguing folder

Changed each of the pages in the cataloguing folder to have one <h1>
tag showing that describes the page, rather than the <h1> describing the
logo.

The hierarchy of heading tags may be broken in many pages, but this will
be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to each of the pages in the cataloguing folder and check that they
   have an obvious and descriptive heading
4) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 101 Owen Leonard 2022-02-24 19:40:19 UTC
Created attachment 131079 [details] [review]
Bug 27631: acqui folder

Changed each of the pages in the acqui folder to have one <h1> tag
showing that describes the page, rather than the <h1> describing the
logo.

The hierarchy of heading tags may be broken in many pages, but this
will be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to each of the pages in the acqui folder and check that they have
   an obvious and descriptive heading
4) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 102 Owen Leonard 2022-02-24 19:40:27 UTC
Created attachment 131080 [details] [review]
Bug 27631: Hidden <h1> on intranet-main.tt

This patch visually hides a <h1> on intranet-main.tt so that the
heading is available to be read out by screenreaders in the summary of
headings on the page.

Test plan:

1) Ensure the <h1> "Koha home" heading on the staff client main/home
   page is hidden visually, but in the source code you can see it

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 103 Owen Leonard 2022-02-24 19:40:35 UTC
Created attachment 131081 [details] [review]
Bug 27631: admin folder

Changed each of the pages in the admin folder to have one <h1> tag
showing that describes the page, rather than the <h1> describing the
logo.

The hierarchy of heading tags may be broken in many pages, but this
will be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to each of the pages in the admin folder and check that they have
   an obvious and descriptive heading
4) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 104 Owen Leonard 2022-02-24 19:40:45 UTC
Created attachment 131082 [details] [review]
Bug 27631: (follow-up) course_reserves/course-details.tt

Changed file to have one <h1> tag showing that describes the page,
rather than the <h1> around the logo.

The hierarchy of other heading tags may be wrong, but this will be
dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to course_reserves/course-details and check that it has an obvious
   and descriptive heading
4) Ensure that the heading is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 105 Owen Leonard 2022-02-24 19:40:52 UTC
Created attachment 131083 [details] [review]
Bug 27631: (follow-up) tools/marc_modification_templates.tt

Changed file to have one <h1> tag showing that describes the page,
rather than the <h1> around the logo.

The hierarchy of other heading tags may be wrong, but this will be
dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to tools/marc_modification_templates and check that it has an
   obvious and descriptive heading
4) Ensure that the heading is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 106 Owen Leonard 2022-02-24 19:40:59 UTC
Created attachment 131084 [details] [review]
Bug 27631: (follow-up) reports/guided_reports_start.tt

Changed file to have one <h1> tag showing that describes the page,
rather than the <h1> around the logo.

The hierarchy of other heading tags may be wrong, but this wil be dealt
with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to reports/guided_reports_start and check that it has an obvious
   and descriptive heading
4) Ensure that the heading is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 107 Owen Leonard 2022-02-24 19:41:05 UTC
Created attachment 131085 [details] [review]
Bug 27631: (follow-up) circ/branchtransfers.tt

Changed file to have one <h1> tag showing that describes the page,
rather than the <h1> around the logo.

The hierarchy of other heading tags may be wrong, but this will be
dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to circ/branchtransfers and check that it has an obvious and
   descriptive heading
4) Ensure that the heading is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 108 Owen Leonard 2022-02-24 19:41:13 UTC
Created attachment 131086 [details] [review]
Bug 27631: (follow-up) Some minor corrections

This patch makes some corrections to issues found during testing:

Some duplicate headings, a markup error in labeledMARCdetail.tt, a
change of the transfers heading from "Branch transfers" to "Item
transfers."

This patch also undoes the changes to the position of the toolbar on
several pages. I think those changes don't belong in this bug.

Signed-off-by: David Nind <david@davidnind.com>
Comment 109 Owen Leonard 2022-02-24 19:41:21 UTC
Created attachment 131087 [details] [review]
Bug 27631: (follow-up) Modify logo CSS to give better alignment

This patch modifies the CSS of the Koha logo and its container so that
it more closely matches the previous version and so that alignment is
handled better at various browser widths.

To test, apply the patch and build the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Check various pages in the staff interface to confirm that the position
of the Koha logo is correct. Adjust your browser width to confirm that
the alignment adapts at narrow widths.

Test also on pages where the header search form can be expanded, e.g.
Patrons -> [+] to expand search options. Or Acquisitions -> Orders
search -> [+]. Confirm that logo alignment is correct on these pages
too.

Signed-off-by: David Nind <david@davidnind.com>
Comment 110 Katrin Fischer 2022-02-26 17:06:01 UTC
Hi Owen, a little hard to see here that you have taken care of Jonathan's comments - can you add a comment at the end next time please?
Comment 111 Katrin Fischer 2022-02-26 18:35:53 UTC
Almost there, some small things I noticed while testing:

1) Doubled up information
http://localhost:8081/cgi-bin/koha/members/moremember.pl?borrowernumber=32
Information appears doubled up:
Pamela Bennett (23529000318858)
Pamela Bennett (23529000318858) 

2) Position of headline
http://localhost:8081/cgi-bin/koha/circ/circulation.pl?borrowernumber=32
http://localhost:8081/cgi-bin/koha/members/pay.pl?borrowernumber=32
The heading appears above the toolbar, on all other pages it's below, which I think is better.

3) No heading
http://localhost:8081/cgi-bin/koha/admin/edi_ean_accounts.pl
http://localhost:8081/cgi-bin/koha/admin/items_search_fields.pl
http://localhost:8081/cgi-bin/koha/tools/marc_modification_templates.pl

4) Typo
http://localhost:8081/cgi-bin/koha/admin/z3950servers.pl
Z19.50/SRU servers administration

5) Reword heading h1?
Classification sources
Classification sources
h1 and h2 here are the same, maybe we should adjust h1 and the link on the admin page to have a wider scope and fit better.
Comment 112 Owen Leonard 2022-03-01 15:32:19 UTC
Created attachment 131192 [details] [review]
Bug 27631: (follow-up) Various corrections

This patch addresses issues found during QA:

- Double headings (patron details page)
- Inconsistent heading position (check out, patron accounting)
- Missing headings when there is no data (Library EANs, Item search
  fields, MARC modification templates).
- Typo: Z19.50 => Z39.50
- Reword "Classification sources" heading: "Classification
  configuration"
Comment 113 Katrin Fischer 2022-04-02 22:03:53 UTC
Created attachment 132886 [details] [review]
Bug 27631: Changed <h1> around logo to <div>

To test:
1) Look at Staff Client and the logo
2) Apply patch
3) Check Koha logo moves to the middle of the page when zooming in
4) Ensure page source shows logo inside <div> and not <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 114 Katrin Fischer 2022-04-02 22:03:59 UTC
Created attachment 132887 [details] [review]
Bug 27631: circ folder

Changed each of the pages in the circ folder to have one <h1> tag
showing that describes the page, rather than the <h1> describing the
logo.

The hierarchy of heading tags may be broken in many pages, but this
will be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to each of the pages in the circ folder and check that they have
   an obvious and descriptive heading
4) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 115 Katrin Fischer 2022-04-02 22:04:05 UTC
Created attachment 132888 [details] [review]
Bug 27631: labels and members folders

Changed each of the pages in the labels and members folders to have one
<h1> tag showing that describes the page, rather than the <h1>
describing the logo.

The hierarchy of heading tags may be broken in many pages, but this
will be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to each of the pages in the labels and members folders and check
   that they have an obvious and descriptive heading
4) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 116 Katrin Fischer 2022-04-02 22:04:11 UTC
Created attachment 132889 [details] [review]
Bug 27631: authorities, clubs, common, course_reserves folders

Changed each of the pages in the authorities, clubs, common,
course_reserves folders to have one <h1> tag showing that describes
the page, rather than the <h1> describing the logo.

The hierarchy of heading tags may be broken in many pages, but this
will be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to each of the pages in the authorities, clubs, common,
   course_reserves folders and check that they have an obvious and
   descriptive heading
4) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 117 Katrin Fischer 2022-04-02 22:04:17 UTC
Created attachment 132890 [details] [review]
Bug 27631: installer and onboarding folders

Changed each of the pages in the installer and onboarding folders to
have one <h1> tag showing that describes the page, rather than the <h1>
describing the logo.

The hierarchy of heading tags may be broken in many pages, but this
will be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Ensure that the page source shows logo inside <div> and not inside
   <h1>
4) Go to each of the pages in the installer and onboarding folders and
   check that they have an obvious and descriptive heading
5) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 118 Katrin Fischer 2022-04-02 22:04:24 UTC
Created attachment 132891 [details] [review]
Bug 27631: offline_circ, patroncards, plugins, pos, reserve, rotating_collections folders

Changed each of the pages in the offline_circ, patroncards, plugins,
pos, reserve, rotating_collections folders to have one <h1> tag showing
that describes the page, rather than the <h1> describing the logo.

The hierarchy of heading tags may be broken in many pages, but this
will be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to each of the pages in the offline_circ, patroncards, plugins,
   pos, reserve, rotating_collections folders and check that they have
   an obvious and descriptive heading
4) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 119 Katrin Fischer 2022-04-02 22:04:30 UTC
Created attachment 132892 [details] [review]
Bug 27631: catalogue and tags folders

Changed each of the pages in the catalogue and tags folders to have one
<h1> tag showing that describes the page, rather than the <h1>
describing the logo.

The hierarchy of heading tags may be broken in many pages, but this
will be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to each of the pages in the catalogue and tags folders and check
   that they have an obvious and descriptive heading
4) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 120 Katrin Fischer 2022-04-02 22:04:36 UTC
Created attachment 132893 [details] [review]
Bug 27631: tools and virtualshelves folders

Changed each of the pages in the tools and virtualshelves folders to
have one <h1> tag showing that describes the page, rather than the <h1>
describing the logo.

The hierarchy of heading tags may be broken in many pages, but this
will be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to each of the pages in the tools and virtualshelves folders and
   check that they have an obvious and descriptive heading
4) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 121 Katrin Fischer 2022-04-02 22:04:42 UTC
Created attachment 132894 [details] [review]
Bug 27631: reports and serials folders

Changed each of the pages in the reports and serials folders to
have one <h1> tag showing that describes the page, rather than the <h1>
describing the logo.

The hierarchy of heading tags may be broken in many pages, but this
will be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to each of the pages in the reports and serials folders and
   check that they have an obvious and descriptive heading
4) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 122 Katrin Fischer 2022-04-02 22:04:48 UTC
Created attachment 132895 [details] [review]
Bug 27631: cataloguing folder

Changed each of the pages in the cataloguing folder to have one <h1>
tag showing that describes the page, rather than the <h1> describing the
logo.

The hierarchy of heading tags may be broken in many pages, but this will
be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to each of the pages in the cataloguing folder and check that they
   have an obvious and descriptive heading
4) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 123 Katrin Fischer 2022-04-02 22:04:55 UTC
Created attachment 132896 [details] [review]
Bug 27631: acqui folder

Changed each of the pages in the acqui folder to have one <h1> tag
showing that describes the page, rather than the <h1> describing the
logo.

The hierarchy of heading tags may be broken in many pages, but this
will be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to each of the pages in the acqui folder and check that they have
   an obvious and descriptive heading
4) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 124 Katrin Fischer 2022-04-02 22:05:01 UTC
Created attachment 132897 [details] [review]
Bug 27631: Hidden <h1> on intranet-main.tt

This patch visually hides a <h1> on intranet-main.tt so that the
heading is available to be read out by screenreaders in the summary of
headings on the page.

Test plan:

1) Ensure the <h1> "Koha home" heading on the staff client main/home
   page is hidden visually, but in the source code you can see it

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 125 Katrin Fischer 2022-04-02 22:05:08 UTC
Created attachment 132898 [details] [review]
Bug 27631: admin folder

Changed each of the pages in the admin folder to have one <h1> tag
showing that describes the page, rather than the <h1> describing the
logo.

The hierarchy of heading tags may be broken in many pages, but this
will be dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to each of the pages in the admin folder and check that they have
   an obvious and descriptive heading
4) Ensure that the heading in the page is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 126 Katrin Fischer 2022-04-02 22:05:15 UTC
Created attachment 132899 [details] [review]
Bug 27631: (follow-up) course_reserves/course-details.tt

Changed file to have one <h1> tag showing that describes the page,
rather than the <h1> around the logo.

The hierarchy of other heading tags may be wrong, but this will be
dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to course_reserves/course-details and check that it has an obvious
   and descriptive heading
4) Ensure that the heading is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 127 Katrin Fischer 2022-04-02 22:05:20 UTC
Created attachment 132900 [details] [review]
Bug 27631: (follow-up) tools/marc_modification_templates.tt

Changed file to have one <h1> tag showing that describes the page,
rather than the <h1> around the logo.

The hierarchy of other heading tags may be wrong, but this will be
dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to tools/marc_modification_templates and check that it has an
   obvious and descriptive heading
4) Ensure that the heading is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 128 Katrin Fischer 2022-04-02 22:05:26 UTC
Created attachment 132901 [details] [review]
Bug 27631: (follow-up) reports/guided_reports_start.tt

Changed file to have one <h1> tag showing that describes the page,
rather than the <h1> around the logo.

The hierarchy of other heading tags may be wrong, but this wil be dealt
with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to reports/guided_reports_start and check that it has an obvious
   and descriptive heading
4) Ensure that the heading is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 129 Katrin Fischer 2022-04-02 22:05:32 UTC
Created attachment 132902 [details] [review]
Bug 27631: (follow-up) circ/branchtransfers.tt

Changed file to have one <h1> tag showing that describes the page,
rather than the <h1> around the logo.

The hierarchy of other heading tags may be wrong, but this will be
dealt with in an additional bug.

To test:
1) Go to the Staff Client
2) Apply patch
3) Go to circ/branchtransfers and check that it has an obvious and
   descriptive heading
4) Ensure that the heading is <h1>

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 130 Katrin Fischer 2022-04-02 22:05:38 UTC
Created attachment 132903 [details] [review]
Bug 27631: (follow-up) Some minor corrections

This patch makes some corrections to issues found during testing:

Some duplicate headings, a markup error in labeledMARCdetail.tt, a
change of the transfers heading from "Branch transfers" to "Item
transfers."

This patch also undoes the changes to the position of the toolbar on
several pages. I think those changes don't belong in this bug.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 131 Katrin Fischer 2022-04-02 22:05:44 UTC
Created attachment 132904 [details] [review]
Bug 27631: (follow-up) Modify logo CSS to give better alignment

This patch modifies the CSS of the Koha logo and its container so that
it more closely matches the previous version and so that alignment is
handled better at various browser widths.

To test, apply the patch and build the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Check various pages in the staff interface to confirm that the position
of the Koha logo is correct. Adjust your browser width to confirm that
the alignment adapts at narrow widths.

Test also on pages where the header search form can be expanded, e.g.
Patrons -> [+] to expand search options. Or Acquisitions -> Orders
search -> [+]. Confirm that logo alignment is correct on these pages
too.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 132 Katrin Fischer 2022-04-02 22:05:50 UTC
Created attachment 132905 [details] [review]
Bug 27631: (follow-up) Various corrections

This patch addresses issues found during QA:

- Double headings (patron details page)
- Inconsistent heading position (check out, patron accounting)
- Missing headings when there is no data (Library EANs, Item search
  fields, MARC modification templates).
- Typo: Z19.50 => Z39.50
- Reword "Classification sources" heading: "Classification
  configuration"

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 133 Katrin Fischer 2022-04-02 22:06:49 UTC
Thank you for the follow-up, Owen! Sorry it took me so long to get back to this one, I think it's about time we get this one in!
Comment 134 Fridolin Somers 2022-04-20 19:04:36 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 135 Fridolin Somers 2022-04-20 19:23:43 UTC
I add to resolve some conflicts on patrons search due to Bug 30063

I fixed to h1 to div in follow-up :
https://git.koha-community.org/Koha-community/Koha/commit/05ba079814facb569feb9327992a1dc441753754

Feel free to add some other follow-up if needed.

Best regards,